# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           meshmagick
Version:        0.6.0
Release:        alt1_16.svn2898
Summary:        Command line manipulation tool for Ogre meshes

Group:          Graphics
License:        MIT
URL:            http://www.ogre3d.org/tikiwiki/index.php/MeshMagick
# The source for this package was pulled from upstream's svn.  Use the
# following commands to generate the tarball:
#  svn export -r 2898 https://ogreaddons.svn.sourceforge.net/svnroot/ogreaddons/trunk/meshmagick meshmagick
#  tar cjf meshmagick-0.6.0-r2898.tar.bz2 meshmagick
Source0:        %{name}-%{version}-r2898.tar.bz2
Patch0:         meshmagick-version.patch
Patch1:         meshmagick-multilib.patch
# Based on http://www.ogre3d.org/forums/viewtopic.php?f=5&t=32352&start=250#p455165
Patch2:         meshmagick-ogre18.patch
Patch3:         meshmagick-boost-DSO.patch

BuildRequires:  libogre-devel
BuildRequires: ctest cmake
Source44: import.info

%description
MeshMagick is a manipulation tool for Ogre meshes (and skeletons). It
allows the user to query interesting information and to transform binary
meshes (and skeletons) in many ways.


%package        libs
Summary:        Libraries for %{name}
Group:          System/Libraries

%description    libs
The %{name}-libs package contains libraries that are needed for
running applications that use %{name}.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0
%patch1
%patch2
%patch3


%build
%{fedora_cmake} . -DSTATIC_BUILD=FALSE -DLIB:STRING=%{_lib} -DCMAKE_SKIP_RPATH=TRUE
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la


%files
%doc AUTHORS README LICENSE.txt
%{_bindir}/%{name}

%files libs
%{_libdir}/lib%{name}.so.*

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_16.svn2898
- initial fc import

